package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Rejected_child;
import com.realnet.vpspack.Services.Rejected_childService ;
























@RequestMapping(value = "/Rejected_child")
 @CrossOrigin("*") 
@RestController
public class Rejected_childController {
	@Autowired
	private Rejected_childService Service;

@Value("${projectPath}")
	private String projectPath;
 
























	@PostMapping("/Rejected_child")
		  public Rejected_child Savedata(@RequestBody Rejected_child data) {
		Rejected_child save = Service.Savedata(data)	;























		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Rejected_child/{id}")
	public  Rejected_child update(@RequestBody Rejected_child data,@PathVariable Integer id ) {
		Rejected_child update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Rejected_child/getall/page")
	public Page<Rejected_child> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Rejected_child> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Rejected_child")
	public List<Rejected_child> getdetails() {
		 List<Rejected_child> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Rejected_child")
	public List<Rejected_child> getallwioutsec() {
		 List<Rejected_child> get = Service.getdetails();		
		return get;
}
@GetMapping("/Rejected_child/{id}")
	public  Rejected_child  getdetailsbyId(@PathVariable Integer id ) {
		Rejected_child  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Rejected_child/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}

























}